<?php
namespace PHPMaker2020\hostelmgr20;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$furnitures_delete = new furnitures_delete();

// Run the page
$furnitures_delete->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$furnitures_delete->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var ffurnituresdelete, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "delete";
	ffurnituresdelete = currentForm = new ew.Form("ffurnituresdelete", "delete");
	loadjs.done("ffurnituresdelete");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $furnitures_delete->showPageHeader(); ?>
<?php
$furnitures_delete->showMessage();
?>
<form name="ffurnituresdelete" id="ffurnituresdelete" class="form-inline ew-form ew-delete-form" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="furnitures">
<input type="hidden" name="action" id="action" value="delete">
<?php foreach ($furnitures_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode(Config("COMPOSITE_KEY_SEPARATOR"), $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="card ew-card ew-grid">
<div class="<?php echo ResponsiveTableClass() ?>card-body ew-grid-middle-panel">
<table class="table ew-table">
	<thead>
	<tr class="ew-table-header">
<?php if ($furnitures_delete->id->Visible) { // id ?>
		<th class="<?php echo $furnitures_delete->id->headerCellClass() ?>"><span id="elh_furnitures_id" class="furnitures_id"><?php echo $furnitures_delete->id->caption() ?></span></th>
<?php } ?>
<?php if ($furnitures_delete->Furniture->Visible) { // Furniture ?>
		<th class="<?php echo $furnitures_delete->Furniture->headerCellClass() ?>"><span id="elh_furnitures_Furniture" class="furnitures_Furniture"><?php echo $furnitures_delete->Furniture->caption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$furnitures_delete->RecordCount = 0;
$i = 0;
while (!$furnitures_delete->Recordset->EOF) {
	$furnitures_delete->RecordCount++;
	$furnitures_delete->RowCount++;

	// Set row properties
	$furnitures->resetAttributes();
	$furnitures->RowType = ROWTYPE_VIEW; // View

	// Get the field contents
	$furnitures_delete->loadRowValues($furnitures_delete->Recordset);

	// Render row
	$furnitures_delete->renderRow();
?>
	<tr <?php echo $furnitures->rowAttributes() ?>>
<?php if ($furnitures_delete->id->Visible) { // id ?>
		<td <?php echo $furnitures_delete->id->cellAttributes() ?>>
<span id="el<?php echo $furnitures_delete->RowCount ?>_furnitures_id" class="furnitures_id">
<span<?php echo $furnitures_delete->id->viewAttributes() ?>><?php echo $furnitures_delete->id->getViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($furnitures_delete->Furniture->Visible) { // Furniture ?>
		<td <?php echo $furnitures_delete->Furniture->cellAttributes() ?>>
<span id="el<?php echo $furnitures_delete->RowCount ?>_furnitures_Furniture" class="furnitures_Furniture">
<span<?php echo $furnitures_delete->Furniture->viewAttributes() ?>><?php echo $furnitures_delete->Furniture->getViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$furnitures_delete->Recordset->moveNext();
}
$furnitures_delete->Recordset->close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("DeleteBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $furnitures_delete->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
</div>
</form>
<?php
$furnitures_delete->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$furnitures_delete->terminate();
?>